package ink.wgink.module.oauth2.pojo;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: AccessToken
 * @Description: AccessToken
 * @Author: WangGeng
 * @Date: 2021/9/21 12:43
 * @Version: 1.0
 **/
public class AccessToken {

    private String accessToken;
    private String tokenType;
    private int expiresIn;
    private String scope;
    private String jti;
    private long createTime;

    public String getAccessToken() {
        return accessToken == null ? "" : accessToken.trim();
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getTokenType() {
        return tokenType == null ? "" : tokenType.trim();
    }

    public void setTokenType(String tokenType) {
        this.tokenType = tokenType;
    }

    public int getExpiresIn() {
        return expiresIn;
    }

    public void setExpiresIn(int expiresIn) {
        this.expiresIn = expiresIn;
    }

    public String getScope() {
        return scope == null ? "" : scope.trim();
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public String getJti() {
        return jti == null ? "" : jti.trim();
    }

    public void setJti(String jti) {
        this.jti = jti;
    }

    public long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(long createTime) {
        this.createTime = createTime;
    }
}
